From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/nose2/
Date: Thu, 4 Mar 2021 04:19:52 +0000 (UTC) [thread overview]
Message-ID: <1614831570.38e1c477eaa2d1a2be46d07214adbbeacf67a4e6.sam@gentoo> (raw)
commit: 38e1c477eaa2d1a2be46d07214adbbeacf67a4e6
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 4 03:58:42 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 4 04:19:30 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38e1c477
dev-python/nose2: version bump 0.10.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-python/nose2/Manifest | 1 +
dev-python/nose2/nose2-0.10.0.ebuild | 41 ++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/nose2/Manifest b/dev-python/nose2/Manifest
index 118816b8fdd..7f0159da1f2 100644
--- a/dev-python/nose2/Manifest
+++ b/dev-python/nose2/Manifest
@@ -1 +1,2 @@
+DIST nose2-0.10.0.tar.gz 156614 BLAKE2B 8e785cd36a781952b4401842288edf7b2551c69a894cee0d56b56c3e74de36b89bf09f849dc7264733d0c906660a5d01f2b74252507ae322073640d8ca0abfaa SHA512 e9522fddb45ab303819a38f6e4de16a2676b824e7027e8137d5e44917c21de91aec8661b28946e0bb1c7c72de907ba5eaa0e8bf76b2b76ae1edfcfe68fdb01dd
DIST nose2-0.9.2.tar.gz 153381 BLAKE2B 9339a31b664561bd86817a969a64a3d80dacdda3ed25bc0a0b6531812e56c7e2bfaadcad3712d8af1a7ce585e27ff6de54428667e44e7c6b0003db5d52703971 SHA512 9af69f0cc9db2e8ef37d2c4ea4fd2d661a38df73fc984d261a1c7c39fba07e44afdf494f0939362b84a03e80c3d93ee75c9352ef333616bf8ce6e6f019b811fe
diff --git a/dev-python/nose2/nose2-0.10.0.ebuild b/dev-python/nose2/nose2-0.10.0.ebuild
new file mode 100644
index 00000000000..1f4c68ec3af
--- /dev/null
+++ b/dev-python/nose2/nose2-0.10.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Next generation unittest with plugins"
+HOMEPAGE="https://github.com/nose-devs/nose2"
+SRC_URI="https://github.com/nose-devs/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+# Failures need investigating
+RESTRICT="test"
+
+BDEPEND="
+ doc? ( >=dev-python/sphinx-1.0.5 )
+"
+DEPEND="
+ >=dev-python/coverage-4.4.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.1[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${PYTHON}" -m nose2.__main__ || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
next reply other threads:[~2021-03-04 4:20 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-04 4:19 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-10 13:20 [gentoo-commits] repo/gentoo:master commit in: dev-python/nose2/ Michał Górny
2024-06-18 18:45 Michał Górny
2024-06-02 2:35 Michał Górny
2024-05-31 4:22 Michał Górny
2024-05-22 9:10 Michał Górny
2024-05-07 17:45 Michał Górny
2024-02-14 12:36 Michał Górny
2024-02-14 12:26 Michał Górny
2024-01-29 9:21 Michał Górny
2024-01-29 5:58 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 19:10 Arthur Zamarin
2023-10-05 2:58 Michał Górny
2023-06-01 17:19 Arthur Zamarin
2023-04-30 3:55 Michał Górny
2023-03-16 18:13 Michał Górny
2022-07-29 8:01 Agostino Sarubbo
2022-07-28 14:14 Sam James
2022-07-28 9:57 Sam James
2022-07-28 7:06 Agostino Sarubbo
2022-07-27 20:09 Sam James
2022-07-27 20:09 Sam James
2022-07-17 7:22 Michał Górny
2022-03-19 9:36 Michał Górny
2022-02-15 18:31 Matt Turner
2022-02-13 9:29 Michał Górny
2021-11-19 17:36 Arthur Zamarin
2021-11-19 7:24 Arthur Zamarin
2021-11-17 8:30 Sam James
2021-11-16 19:10 Arthur Zamarin
2021-09-27 9:29 Arthur Zamarin
2021-04-07 8:06 Michał Górny
2021-04-07 6:22 Sam James
2021-01-04 3:36 Sam James
2021-01-04 3:31 Sam James
2021-01-04 1:25 Sam James
2020-12-02 23:32 Sam James
2019-12-08 12:04 Andreas Sturmlechner
2019-12-06 20:21 Andreas Sturmlechner
2019-11-23 12:43 Agostino Sarubbo
2019-11-22 10:24 Agostino Sarubbo
2019-10-26 14:33 Andreas Sturmlechner
2019-10-20 14:21 Andreas Sturmlechner
2019-04-14 11:12 Agostino Sarubbo
2017-11-30 20:40 Thomas Deutschmann
2016-07-16 14:28 Alex Brandt
2016-03-27 17:21 Alex Brandt
2016-03-27 14:28 Alex Brandt
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614831570.38e1c477eaa2d1a2be46d07214adbbeacf67a4e6.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox